<div ng-cloak class="container">
    <div class="row">
        <div class="col-md-4 col-md-offset-4">
            <h1 data-translate="home.title">Sign in</h1>
        </div>
        <div class="col-md-8 col-md-offset-2">
            <div class="alert alert-danger" ng-show="vm.authenticationError"
                 data-translate="home.messages.error.authentication">
                <strong>Failed to sign in!</strong> Please check your credentials and try again.
            </div>
        </div>
        <div class="col-md-8 col-md-offset-2">
            <form class="form" role="form" ng-submit="vm.login($event)">
                <div class="form-group">
                    <label for="username" data-translate="global.form.username">Login</label>
                    <input type="text" class="form-control" id="username"
                           placeholder="{{'global.form.username.placeholder' | translate}}" ng-model="vm.username">
                </div>
                <div class="form-group">
                    <label for="password" data-translate="home.form.password">Password</label>
                    <input type="password" class="form-control" id="password"
                           placeholder="{{'home.form.password.placeholder' | translate}}"
                           ng-model="vm.password">
                </div>
                <div class="form-group">
                    <label for="rememberMe">
                        <input type="checkbox" id="rememberMe" ng-model="vm.rememberMe" checked>
                        <span data-translate="home.form.rememberme">Remember me</span>
                    </label>
                </div>
                <button type="submit" class="btn btn-primary" data-translate="home.form.button">Sign in</button>
            </form>
            <p></p>
            <div class="alert alert-warning">
                <a class="alert-link" href="" ng-click="vm.requestResetPassword()" translate="home.password.forgot">Did
                    you forget your password?</a>
            </div>
        </div>
    </div>
</div>
